List Agent Sessions
curl --request GET \
--url https://api.opensink.com/api/v1/agent-sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opensink.com/api/v1/agent-sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opensink.com/api/v1/agent-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"state": {},
"metadata": {},
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"trail": "<string>"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}Agent Session
List Agent Sessions
List all sessions. Optionally filter by agent_id or status.
Required scope: agent_sessions:read, agent_sessions:all, or all:all
GET
/
api
/
v1
/
agent-sessions
List Agent Sessions
Authorizations
API key authentication
Query Parameters
Filter by agent ID
Filter by status
Available options:
running, waiting_for_input, processing_input, completed, failed Filter by multiple statuses
Available options:
running, waiting_for_input, processing_input, completed, failed Maximum items to return (default: 50, max: 100)
Pagination trail from previous response

